//
//  LZWebController.h
//  WebSDK
//
//  Created by yingjun on 2020/8/26.
//  Copyright © 2020 yingjun. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef void(^LZBaseWebCallback)(id data);

typedef void(^LZWebTerminateCallback)(void);

@interface LZWebController : NSObject

/// 白板网页主动触发的方法回调
@property (nonatomic, strong) LZBaseWebCallback receiveMethodCallback;

/// 白板网页被系统回收的回调（内存不足时会触发，这时需要重新send初始化的方法）
@property (nonatomic, strong) LZWebTerminateCallback webTerminateCallback;

/// 获取显示白板网页的界面
/// 获取后，可直接push显示
- (UIViewController *)getWebViewController;


/// 调用白板网页的方法
/// @param params 方法参数
/// @param callback 方法回调
- (void)sendMethodParams:(NSDictionary *)params callback:(LZBaseWebCallback)callback;

@end
